<template>
  <ThemeCommonMobileMainPageWrapper back-to="/profile" :title="$t('account')">
    <ThemeCommonMobileMainTabs
      v-model="accountActiveTab"
      stretch
      sticky
      :top="52"
    >
      <el-tab-pane :label="$t('account_information')" name="account">
        <template #label>
          <nuxt-link :to="ROUTES.ACCOUNT.INFO" class="py-4">{{
            $t("account_information")
          }}</nuxt-link>
        </template>
      </el-tab-pane>
      <el-tab-pane :label="$t('password')" name="account-password">
        <template #label>
          <nuxt-link :to="ROUTES.ACCOUNT.PASSWORD" class="py-4">{{
            $t("password")
          }}</nuxt-link>
        </template>
      </el-tab-pane>
    </ThemeCommonMobileMainTabs>
    <nuxt-page />
  </ThemeCommonMobileMainPageWrapper>
</template>

<script lang="ts" setup>
import { ref, watch } from "vue";

const route = useRoute();
const accountActiveTab = ref<string>();

watch(
  () => String(route.name),
  (routeName) => {
    accountActiveTab.value = String(routeName);
  },
  {
    immediate: true,
  }
);
</script>

<style lang="scss">
.profile-help-text {
  font-family: Roboto;
  font-size: 12px;
  font-weight: 400;
  line-height: 14.06px;
  text-align: left;
  color: var(--text2);
}

.update-profile-btn {
  min-width: 152px;
  background: var(--primary);
  margin-top: 16px;

  & > span {
    font-family: Roboto;
    font-size: 14px;
    font-weight: 500;
    line-height: 16.41px;
    text-align: left;
    color: var(--textBtn);
  }
}

.display-time {
  display: flex;
  align-items: center;
  font-family: Roboto;
  font-size: 12px;
  font-weight: 400;
  line-height: 14.06px;
  text-align: left;
  opacity: 0.8;
  color: var(--text2);
}
.info-item {
  &:not(:last-child) {
    border-bottom: 1px solid var(--border);
  }

  h4 {
    font-family: Roboto;
    font-size: 14px;
    font-weight: 500;
    line-height: 16.41px;
    text-align: left;
    color: var(--hint);
  }

  .info-item-content {
    font-family: Roboto;
    font-size: 12px;
    font-weight: 400;
    line-height: 14.06px;
    text-align: left;
    color: var(--text2);
    opacity: 0.8;
  }
}
</style>
